## org.eclipse.datatools.sqltools.routineeditor.ui.actions
Class DebugAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.datatools.sqltools.common.ui.actions.CommonSQLObjectAction
                      org.eclipse.datatools.sqltools.routineeditor.ui.actions.RoutineAction
                          org.eclipse.datatools.sqltools.routineeditor.ui.actions.DebugAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction, org.eclipse.ui.IActionDelegate, org.eclipse.ui.IObjectActionDelegate

    public class DebugAction

extends RoutineAction

Author:
  Li Huang

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`DebugAction()` Constructs a default `DebugAction`.
`DebugAction(java.lang.Object selectedResource)` Constructs a DebugAction from the selected resource.
`DebugAction(SQLEditor targetEditor)`

Method Summary
`void` `run()`
`void` `run(org.eclipse.jface.action.IAction action)`
`void` `setActiveEditor(SQLEditor targetEditor)`
`void` `update()`

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.actions.CommonSQLObjectAction
`getConnectionProfile, selectionChanged, setActivePart`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IActionDelegate
`selectionChanged`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### DebugAction

    public DebugAction()

  Constructs a default `DebugAction`. This happens when user invokes the context menu in DSE.

### DebugAction

    public DebugAction(java.lang.Object selectedResource)

  Constructs a DebugAction from the selected resource. This happens when this action is instantiated by the common action provider.

### DebugAction

    public DebugAction(SQLEditor targetEditor)

Parameters:
  `text` -
  `image` -

Method Detail

### setActiveEditor

    public void setActiveEditor(SQLEditor targetEditor)

### run

    public void run()

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `org.eclipse.jface.action.Action`

### update

    public void update()

### run

    public void run(org.eclipse.jface.action.IAction action)